Changelog started at 2004-03-31
This file is implemented as a stack


  - removed reference to ept::axi an ept::popcon(Closes: #727627)
------- released version 2.7.3 ------
  - disabled C++0x support to avoid crashes when linking against libept
	 (it seems they do not cooperate (crash) when compiled with different
	  c++0x support settings)
  - fix to show the correct long description (Closes: #676812)
    -> directly use libapt-pkg now
2012-06-28
------- released version 2.7.2 ------
  - changed RunCommandInXterm to use /usr/bin/uxterm, because
    only there I can guarantee consistent behaviour (Closes: #676811)
2012-06-12
  - make APT default installation tool
  - inform user to configure to use apt if aptitude
    is not available (Closes: #676810)
2012-06-11
  - fixed displaying file list (multiarch support)
2012-06-10
------- released version 2.7.1 ------
  - fixed COPYRIGHT file to make lintian happy
  - changed build infrastructure to use "dh" 
2012-05-20
------- released version 2.7 (never officially) ------
  - enabled hardening options
2012-05-19
  - fixed problem qith QT 4.8: virtual base classes make QT break
    -> Plugin no longer inherits from QObject, instead each child
    plugin must inherit from QObject on its own
2012-05-13
  - updated help page
  - updated spanish translation (thanks Frannoe!)
2012-05-12
  - fixed bug disallowing translations to translate column title for
	 "Name" or "Score"
2012-01-29
  - proxy server settings are now saved
2012-01-18
  - added support for configuring proxy server (still no yet saved)
2011-09-07
  - Fixed compiler error caused by xapian having a slots member 
    variable (Closes: #639076)
  - added support for displaying the "Homepage" field (Closes: #598193)
2010-10-07
  - completed support for displaying screenshots
2010-08-07
  - fixed filtering of Tag-list based on search pattern
2010-08-03
  - fixed full text search for excluding patterns
2010-07-18
------- released version 2.6 ------
2010-07-03
  - searching for similar packages is now based on full text description
  - switched to apt-xapian search backend
2010-03-XX
  - added dependency to libdl (Closes: #555881)
2010-02-28
------- released version 2.5 ------
  - Fixed command execution in terminal to use "read dummy" instead of "read" 
	 Command execution should now work on dash (and any other posix conform shell)
	 when finished succesfully or unsuccessfully (Closes: #539255)
2009-10-28
  - updating apt-database now also uses the configured installation command (instead 
	 of hardcoded apt-get)
2009-10-04
  -  debtags plugin now displays facet name along with tag names in list view
2009-06-14
	- added basic support for i18n
2009-04-03
	- searching whole words only is disabled by default
	- search in description now also searches the short description
	- changed dependency on libept-dev >= 0.5.22 with fixed package iteration
	  this should fix #442310 (Closes: #442310)
2008-08-10
	- added support for configuring command to gain root rights
2008-07-10
	- implemented support for searching for whole words only
2008-06-29
	- fixed problem that package actions where disabled when selecting 
	  it from the drop down list, if a selection in the list view was active before
2008-06-29
	- file search shows the list delivered by apt-file for packages with residual
	  configuration instead of the list of installed files
	- fixed file search which showed pathes stating with double / for not 
	  installed package
2008-06-28
	- fixed crash when disabling the Apt Plugin while a package was selected
2008-06-27
	- allow purging of packages
	- current package can always be installed, independently of 
	  whether it is selected or not (bugfix)
	- added support for "Upgradable" state (searching and display)
2008-06-22
------- released version 2.4 ------
	- nice window title for running "apt-get update" added
	- updating apt database is now calling "debtags --local update"
	  afterwards
2008-06-19
	- allow selecting between aptitude and apt for installation
	- add "Preferences" section to menu "Packagesearch"
	- renamed "File" menu to "Packagesearch"
	- each menu has a character to select it
2008-06-05
	- reduced height of entries in the package list (Closes: #470554)
2008-03-16
	- prevent crashes when underlying libept changes (Closes: #439938)
2008-03-06
------- released version 2.3 ------
	- fixed const-issues which was revealed by a new compiler version
	- added various exception catching code to prevent crashing when a plugin
	  throws an exception
2008-03-02
	- fixed crash when selecting a tag from a string-filtered tag list
2008-02-17
	- fixed text formatting issue of "Package Description" (Closes: #424913)
	- fixed Makefiles to zero out QMAKE_LFLAGS (removes --no-undefined)
		so that the plugins compile again (Closes: #458884) 
	- fixed build-script for manpage (Closes: #458577)
	- tag selection is now triggered by double-clicking (Closes: #447261)
	- full port to libqt4
------- released version 2.2.6 ------
	- Added support for the new Xapian functions (Requires libept 0.5.3) (thanks Enrico)
	- ported to libept > 0.5.1 (Closes: #429005) (thanks Enrico)
	- corrected rule to build makefile (Closes #418770)
------- released version 2.2.5 ------
	- fixed crash when selecting non-existent package (caused by the
	  debtags plugin, Closes: #408051)
2007-01-23
------- released version 2.2.4 ------
	- removed DebtagsActionPlugin, since "debtags update" is no longer
	  usefull
2006-12-03
------- released version 2.2.3 ------
	- delete line ending when reading from apt-file list and
	  apt-file search/dpkg -S (Closes: #398692)
	  using "apt-file search -l" now when searching
2006-11-15
------- released version 2.2.2 ------
	- suggest actually shows suggested packages now (and no longer pre-depends)
2006-10-31
	- added build dependency on libept >= 0.4.4 which no longer throws an exception 
	  if there is no user .debtags directory available (Closes: #395568),
	  also added dependency on apt >= 0.6.46.1, which should remedy failures
	  in loading the apt-plugin
2006-10-30
------- released version 2.2.1 ------
	- removed using apt-index-watcher by using "debtags update --reindex"
2006-10-23
------- released version 2.2 ------
	- ported to libept (from libapt-front), mainly done by Enrico Zini, thanks!
2006-10-07
------- released version 2.1.1 ------
	- made tag selection list show the part before : in a tagname
	  for tagnames of the form group:name
	- hide tags with empty itemset
2006-08-14
	- added .desktop file provided by Vassilis Pandis (Closes: #382197)
2006-08-09
	- commands use /etc/alternatives/x-terminal-emulator instead of xterm
	  now, for better compatibility
2006-06-07
------- released version 2.1 ------
	- fixed icons that were broken after the cvs2svn conversion
2006-05-31
	- fixed crashes when showing dependency information for
	  a package where no such information is available
2006-03-26
	- fixed crashes when selecting an unknown package
	- added Version information to title
	- viewing files with "see" works fine again
	- removed obsolete instantiation.cpp file (Closes: #357355)
2006-03-20
	- reimplemented apt-file update
2006-03-19
	- switched to SVN!
2006-03-17
	- fully switch APT- and Debtags-Plugin to apt-front
2006-03-13
	- gone further in using libapt
2006-03-13
------- released version 2.0.6 ------- this is a fork version, and does not contain all changes listed in this file 
	- build depend on libmysqlclient15-dev now (Closes: #343788)
	- fixed crashes when using filesearch or listing for non-installed files
2005-02-13
	- fixed crash after a "debtags update"
	- make "clear search" button work for installed filter
2005-12-25
	- simplified plugin mechanism -> plugins are now only distiguished by
	  name, having a simple precedence rule by the plugin path
2005-12-18
	- nicely format apt descriptions according to the debian policy
2005-12-17
------- released version 2.0.4 -------
	- explicitly use qmake-qt4 for build
2005-12-12
	- fixed starting xterm correct again to externally launch an application
	- fixed crashing when debtags plugin is not enabled
	- removed arm, hppa and m68k workarounds
2005-12-11
------- released version 2.0.3 -------
	- changed makefile to fix FTBS on arm, hppa and m68k (should close 
	  #329884)
	- changed packagesearch icon to use real transparancy
2005-10-17
	- removed PIC dependencies, as it should be used by default now 
2005-09-29
	- the debtagsplugin removed its copy of the TagCollection
	  and access the libaptfront collection now
	- got rid of the handlemaker
2005-09-24
------- released version 2.0.1 -------
	- minor bugfixes
	  - forward and backward icons now displayed
	  - build-dep on libmysql15-dev and libtagcoll-pic added
	- icons are now located in /usr/share/pixmaps/packagesearch
2005-09-11
------- released version 2.0 -------
	- executing programs as root is done via "su -c" now
	- added symbols for installing and removing packages
2005-09-09
	- sort column is choosen by name now
2005-09-08
	- filenameplugin compiles without QT3 support 
2005-09-02
	- sort column and order is saved now
2005-08-30
	- mostly finished QT4 transition
2005-08-27	
	- allow hiding of help toolbar
	- porting FilenamePlugin, OrphanPlugin and AptPlugin nearly completed
	- started porting to QT4 
2005-08-27 (and before)
	- activated new ComplexScoreCalculationStrategy with enhanced 
	  score calculation
2005-08-06
	- switched to use a Strategy Pattern for calculating the apt scores
2005-07-31
	- fixed typo in manpage, (Closes: #320560)
2005-07-30
	- changed PackageSearchImpl::*PluginContainer to be of type set
2005-07-29
	- improve system design to support scoring plugin with 
	  fewer hacks (PluginManager simply forwards the {add,remove}Plugin
	  calls from the PluginContainers to its PluginUsers now
	- ScorePlugin is an own abstract class now
2005-07-22
	- added scoring algorithm for packages
	- added infrastructure to score search results
2005-07-19
------- released version 1.3 -------
	- implemented saving the debtags options using the 
	  saveContainerSettings() functions
2005-06-29
	- implemented saving of orphan search option
	- finished implementing BasePluginContainer calling saveSettings
	  for all its plugins
	- changed all saveable stuff to implement NXml::IXmlStorable
2005-06-28
	- added some status message when viewing files
	- files can be viewed using a double click
	- implemented "copy all" function for filelist
	- added clear button to related search
2005-06-21
	- implemented case sensitive searching in apt search
	- added clear button to apt search
2005-06-20
	- added nifty clear button to orphan and file search
	- added createClearButton() to IProvider
2005-06-19
	- enhanced error handling for the filenname plugin
	- disabled the "view" entry if the file is not readable
2005-06-15
	- enhanced file viewing with fallback to plain/text if the mime type
	  is not detected
2005-06-14
	- implemented a copy and a view action for the files in the filenameplugin
	- finished migration to lib{tagcoll,debtags}1
2005-06-13
	- fixed plugin manager not to allow duplicate disabled entries any more
	- added orphaner plugin
2005-06-08
	- factored out an NXml::IXmlStorable interface
2005-04-26
	- on startup every plugin is loaded only once, even if it exists in
	  different versions or directories
2005-04-23
	- moved code to show and hide columns into seperate class
	- implemented saving of column width 
2005-04-22
------- released version 1.2 -------
	- fixed RunCommandWidget::replaceLastLine() so even the first line is 
	  replaced properly 
2005-04-05
--- Celebrating first anniversary :-) ---
	- added "Reload Package Database" option to system menu
2005-03-31
	- replaced QStrings by QCString in NApt::Package saving 7MB RAM
2005-03-28
	- if an unknown ShortInformationPlugin is added, the information column is 
	  inserted before the first shown plugin with a higher priority value (i.e. 
	  a lower priority) than the new one
2005-03-26
	- added installed and available version to short information list
2005-03-25
	- added --help and --version options (Closes: #299015)
2005-03-22
	- implemented "apt-get update"
2005-03-20
	- fixed display of command output (correct handling of CR/LF and CR only,
	  no unneccesary scrolling) (Closes: #299015)
2005-03-18
	- hidden columns are removed now if the plugins are no longer loaded
2005-03-17
------- released version 1.1 -------
	- gave the columns in the short information view a reasonable width
	  and supressed resizing the columngs when they are changed
	- added workaround to avoid crashing due to a libdebtags bug
2005-03-14
	- customization of columns is saved 
	- allows customizing of column order and hiding columns in short
	  information view
2005-03-13
	- apt-get line is copied to global mouse selection and the global 
	  clipboard now
2005-03-11
	- apt search supports to exclude search expressions now
2005-03-08
	- allowed searching for word groups
	- added highlighting of search expressions in description view
2005-03-07
	- show progress dialog when loading and unloading plugins through
	  the control dialog
2005-03-05
	- new backend using DumpAvailPackageDB seems to work stable 
	  these changes are closing Bug#291761
	- reduced memory usage on startup
2005-03-01
	- installed state is working again (parsing /var/lib/dpkg/status)
2005-02-26
	- fully implemented progress feedback for loading aptPlugin
2005-02-25
	- began implementing a plugin progress display infastructure
2005-02-24
	- started changing the apt-plugin not to use libapt any more because
	  this resulted in problems when updating or intalling while 
	  packagesearch is running
2005-02-23
------- released version 1.0.1 -------
	- plugins will be disabled if they failed to load now, this prevents 
	  nagging about a missing plugin over and over again
	- replace /usr/share/icons by /usr/share/pixmaps as icon directory
2005-01-21
	- changed the text that is displayed in the fileview if a package not 
	  installed is selected
	- plugin container initialization returns if it was successfull or not, 
	  plugins will be disabled if not
2005-01-20
	- the current item stays visible if the tags displayed change
2004-10-31
	- some GUI improvements (right clicking does not select items any more)
2004-10-28
	- filtering of tags based on selected tags is implemented using recurison now
	- filtering of tags shows also tags where only the facet matches
2004-10-(12-27)
	- implemented showing of time consuming file lists only after clicking
	  the show button
2004-10-07
------- released version 0.6 -------
	- updated documentation 
2004-09-21
	- implemented showing of installed version in the details section
	- allowed pressing enter for immidiate evaluation of apt and filesearch
2004-09-20
	- switched to a listview in the filename information plugin to show the 
	  files as this is much faster
	- filter for files in the filename information plugin is kept on 
	  selection of different packages
	- deselect items in the package list if another package is displayed
	 (e.g. through back or direct selection)
	- changed the related plugin to show a list of the packages available for selecting
	- implemented direct selecting of a single package
2004-09-19
	- the links to packages in the details page are only shown 
	  if the packages are available
2004-09-18
	- the IProvider provides a list of all available packages now
2004-09-17
	- removed the exclude tags option for the debtags search 
	  (simply by hiding the checkbox)
	- saving and loading for the debtags settings implemented
	- persistent saving and loading of plugin settings implemented
2004-09-14
	- added saving of plugin settings for the plugins
	- added selecting tags to be shown in the debtags plugin
2004-09-13
	- reorganized plugin initialization
2004-09-10
	- started reorganizing plugin initialization to make it 
	  more structured
2004-09-08
	- added saving and loading of the plugin active status
------- released version 0.5 -------
2004-08-15
	- added control dialog for the plugins
	- fully implemented evalutation of plugin priorities
2004-08-13
	- changed to use a dynamic plugin structure
2004-08-11
------- released version 0.4.1 -------
	- fixed compilation error
2004-08-04
------- released version 0.4 -------
2004-08-03
	- changed to conform with the new tagcoll interface
------- released version 0.3 -------
	- updated documentation
	- added filename feedback widget
	- added apt-file update to system menu
2004-07-28
	- fully integrated fully implemented filename search (using dpkg -S or apt-file)
2004-07-20
	- information in the information widget container is only updated if needed
	- added filename information (for installed and not installed)
	- set title of the package on selection again
	- added framework for filename plugin
2004-07-18
	- created a homepage
------- released version 0.2 -------
2004-07-14
	- getting ready for version 0.2
	- did a total internal rework, the appliction uses plugins to receive 
	  its information and search possiblities now
2004-07-13
	-fixed clear search
	- implemented searching for more than one expression
2004-06-18
	- allow the application to run without the debtags database
	- implemented synchronization with debtags update
2004-06-17
	- updated the tag listviews after a debtags update
	- switched to using STL algorithms in some cases
2004-06-10
------- released version 0.1 -------
	- restructured the GUI
	- implemented showing the current installed state in the resultview
	- implemented installed/not installed filter 
2004-06-06
	- added What's This entry to help menu
	- implemented showing the number of packages found using the current search
	- added What's this toolbutton
	- added libdebtags, replaced Vocabulary by Debtags::Vocabulary
2004-06-05
	- implemented showing of the number of packages found
2004-06-01
	- finished implementing of hiding tags which would produce an empty output
2004-05-29
	- started implemented hiding of tags which would produce an empty output
	- added an iterator to the TagSelectionListView class - this simplifies the 
	  operations on it and allows STL algorithms to operate on it.
	- fixed the bug that on removing an Item from the TagListBoxes the application crashed.
2004-05-28
------- released version 0.0.3 -------
	- completed migration to new tag structure (using facets) including a complete
	  refactoring of the tagselection class hierarchy
2004-05-26
	- added checking of UID to be root for "debtags update"
	- refactored the RunCommand class to alternativly use xterm to run a command
	- implemented debtags update via the system menu
2004-05-14
	- implemented an Exit entry in the File menu
	- create an apt-get for packages via the context menu
	- tried to implement a debtags update, but this failed because we need a 
	  tty interface for this (if we want to show the output)
2004-05-08
	- implemented showing of the tagset for the selected package
	- changed error handling of descriptions not available to not display a message box
	- created icons for back and forward
2004-05-01
	- prepared for the release of debian archives
2004-04-28
------- released version 0.0.2 -------
	- enhanced error message on startup failure
	- implemented an about dialog
	- implemented a helpContents Function
	- implemented a cursor indicating that the application is busy (overrider cursor)
	- created a helpfile
	- Implemented a faster way of getting short descriptions for 
	  the packages. This is also done delayed (on evaluation of 
	  the first search) now. This allows a faster build up of the 
	  main dialog.
2004-04-25
	- added first (slow) version of showing short descritions in 
	  the result view
	- increased debtags search speed by applying implications only once
	- took search algorithm from tagcolledit which does not use the 
	  TagcollFilter. It increased the search speed markably, it is
	  not yet implemented for searches including exclude tags
	- improve resizing of the search input toolbox
2004-04-24
	- implemented error handling on startup. This does not work as I
	  expected it, but it catches the error.
	- added Details section to the package view with links
	- added Essential, Pre-Depends and Conffiles sections
2004-04-20
	- layout update
	- fixed htmlifying the string we get
	- implemented a details section
	- implemented splitters using the designer
2004-04-17
	corrected linebreak in description
2004-04-13
	Added "clear search" button
	Implemented delayed evaluation to avoid unnessecary evaluations
	Implemented related search
	Fixed apt search - itd does search descriptions now
2004-04-04
	implemented the apt search - mainly copying code from apt-cache
2004-04-03
	moved "borrowed" code to external directory
	added description display
2004-03-31
